Loading...
Searching...
No Matches
ARC_EngineData Struct Reference

`#include <engine.h>`

## Data Fields

ARC_Window * | window
ARC_Renderer * | renderer
ARC_Handler * | state
ARC_Input * | input
ARC_Mouse * | mouse
ARC_Keyboard * | keyboard
double | dt
ARC_Bool | running
ARC_Point | windowSize

## Detailed Description

Definition at line 17 of file engine.h.

## Field Documentation

## dt

double ARC_EngineData::dt

Definition at line 25 of file engine.h.

## input

ARC_Input* ARC_EngineData::input

Definition at line 21 of file engine.h.

## keyboard

ARC_Keyboard* ARC_EngineData::keyboard

Definition at line 23 of file engine.h.

## mouse

ARC_Mouse* ARC_EngineData::mouse

Definition at line 22 of file engine.h.

## renderer

ARC_Renderer* ARC_EngineData::renderer

Definition at line 19 of file engine.h.

## running

ARC_Bool ARC_EngineData::running

Definition at line 26 of file engine.h.

## state

ARC_Handler* ARC_EngineData::state

Definition at line 20 of file engine.h.

## window

ARC_Window* ARC_EngineData::window

Definition at line 18 of file engine.h.

## windowSize

ARC_Point ARC_EngineData::windowSize

Definition at line 27 of file engine.h.

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/include/arc/engine/engine.h